How to install MagicSpam module on Plesk 11 for Linux

Created:

2016-11-16 13:04:28 UTC

Modified:

2017-06-12 06:05:57 UTC

0

Was this article helpful?


Have more questions?

Submit a request

How to install MagicSpam module on Plesk 11 for Linux

Applicable to:

  • Plesk 11.0 for Linux

Symptoms

MagicSpam for Plesk 11 is absent from the website .

However, it is still supported.

Cause

The website has not been updated yet. We are working on getting the download links for Plesk 11 to the above page.

Resolution

You still can install the MagicSpam module to your Plesk for Linux server. For this, do the following:

  1. Run this command to find out the OS version, build, and MTA.:

    # /usr/local/psa/admin/bin/mailmng --features|grep SMTP_Server_package|awk -F'[""]' '{print $2}' ; cat /usr/local/psa/version;arch
  2. Download the appropriate package (choose the version corresponding to your OS; for Plesk 10, get it from the website).

    Note : If you have CentOS 6, you can choose RHEL 6, and it will work fine. Here is an example command to download the RPM:

    # wget http://download.plesk.com/Plesk/other/magicspam/magicspam-plesk-1.0.8-1.1-rhel664-postfix.x86_64.rpm

    Full list of packages is available here .

  3. Try installing it. It will most likely fail with this dependency error:

    # /usr/local/psa/admin/bin/modulemng --install --file=magicspam-plesk-1.0.5-3-rhel664-postfix10.x86_64.rpm
    error: Failed dependencies:
    libmilter.so.1.0()(64bit) is needed by magicspam-plesk-1.0.5-3.x86_64
    ERROR_UNKNOWN

    If it does not fail, MagicSpam is installed. If it fails, proceed further.

  4. To solve the error, you need to install the missing library libmilter.so.1.0 . To do this, first check which package provides it:

    # yum provides libmilter.so.1.0

    The output of the command will contain something like this:

    sendmail-milter-8.14.4-8.el6.i686 : The sendmail milter library
    Repo : base
    Matched from:
    Other : libmilter.so.1.0

    sendmail-milter-8.14.4-8.el6.i686 : The sendmail milter library
    Repo : installed
    Matched from:
    Other : Provides-match: libmilter.so.1.0

    Assume we need the version of the sendmail-milter-8.14.4-8 package for the x64 build.

  5. Find the needed package:

    # yum provides sendmail-milter

    Again, there will be a similar output:

    sendmail-milter-8.14.4-8.el6.i686 : The sendmail milter library
    Repo : base
    Matched from:

    sendmail-milter-8.14.4-8.el6.x86_64 : The sendmail milter library <--- You need this one.
    Repo : base
    Matched from:

    sendmail-milter-8.14.4-8.el6.i686 : The sendmail milter library
    Repo : installed
    Matched from:
    Other : Provides-match: sendmail-milter
  6. Install the package:

    # yum install sendmail-milter-8.14.4-8.el6.x86_64
  7. Install the MagicSpam module (See Step 3).

Have more questions? Submit a request
Please sign in to leave a comment.